
QGIS Application - Bug report #12241

WMTS and 2.8 

2015-02-23 01:16 PM - Randal Hale

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20426

Description

In 2.6 and 2.7 (master) I could add this tile service using the WMS/WMTS icon: 

http://services.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/WMTS/1.0.0/WMTSCapabilities.xml

With 2.8 it appears to not being working. This works though:

qgis.utils.iface.addRasterLayer("http://services.arcgisonline.com/ArcGIS/rest/services/World_Imagery/MapServer?f=json&pretty=true","raster")

aster")

I'm not noticing anything getting announced in the logs. So I'm no help there.

Related issues:

Duplicated by QGIS Application - Bug report # 12244: WMTS does not load Tiles... Closed 2015-02-24

Associated revisions

Revision 6de2828d - 2015-02-24 01:36 AM - Jürgen Fischer

fix wmts (fixes #12241; followup 1e97b62c)

Revision 251aca6d - 2015-02-24 01:36 AM - Jürgen Fischer

fix wmts (fixes #12241; followup 1e97b62c)

History

#1 - 2015-02-23 02:52 PM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows )

- Target version changed from Version 2.8 to Version 2.8.1

- Priority changed from Normal to Severe/Regression

- Category set to Web Services clients/WMS

Confirmed, works ok on 2.6.1, does not on 2.8 and master.

#2 - 2015-02-23 04:37 PM - Jürgen Fischer

- Status changed from Open to Closed
http://services.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/WMTS/1.0.0/WMTSCapabilities.xml


Fixed in changeset commit:"251aca6dca10171be67cac245e8b37553304f042".
